Subject: Ticket Assigned - Hello!! I have placed an order, it was supposed to be delivered on 04-05-20. But I did not receive a...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 20 Jun 2020 08:39:56 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hello!! I have placed an order, it was supposed to be delivered on 04-05-20. But I did not receive a... Hello!! I have placed an order, it was supposed to be delivered on 04-05-20. But I did not receive all the items I ordered. The payment was confirmed and deducted from the credit card. When I tracked the order, 2 tracking numbers were "delivered" to me, but I only received 1. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/931859